package com.fs.crm.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * 跟进对象 crm_customer_visit
 *
 * @author fs
 * @date 2022-12-21
 */
public class CrmCustomerVisit extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 跟进ID */
    private Long visitId;

    /** 客户ID */
    @Excel(name = "客户ID")
    private Long customerId;

    /** 类型 1 电话 2 微信 */
    @Excel(name = "类型 1 电话 2 微信")
    private Long visitType;

    /** 走访内容 */
    @Excel(name = "走访内容")
    private String content;

    /** 走访照片 */
    @Excel(name = "走访照片")
    private String photos;

    /** 下次联系时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "下次联系时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date nextTime;

    /** 经度 */
    @Excel(name = "经度")
    private String lng;

    /** 纬度 */
    @Excel(name = "纬度")
    private String lat;

    /** 签到地址 */
    @Excel(name = "签到地址")
    private String address;

    /** 销售ID */
    @Excel(name = "销售ID")
    private Long companyUserId;

    /** 公司ID */
    @Excel(name = "公司ID")
    private Long companyId;

    @Excel(name = "客户跟进阶段")
    private Integer customerUserStatus;

    public Integer getCustomerUserStatus() {
        return customerUserStatus;
    }

    public void setCustomerUserStatus(Integer customerUserStatus) {
        this.customerUserStatus = customerUserStatus;
    }

    public void setVisitId(Long visitId)
    {
        this.visitId = visitId;
    }

    public Long getVisitId()
    {
        return visitId;
    }
    public void setCustomerId(Long customerId)
    {
        this.customerId = customerId;
    }

    public Long getCustomerId()
    {
        return customerId;
    }
    public void setVisitType(Long visitType)
    {
        this.visitType = visitType;
    }

    public Long getVisitType()
    {
        return visitType;
    }
    public void setContent(String content)
    {
        this.content = content;
    }

    public String getContent()
    {
        return content;
    }
    public void setPhotos(String photos)
    {
        this.photos = photos;
    }

    public String getPhotos()
    {
        return photos;
    }
    public void setNextTime(Date nextTime)
    {
        this.nextTime = nextTime;
    }

    public Date getNextTime()
    {
        return nextTime;
    }
    public void setLng(String lng)
    {
        this.lng = lng;
    }

    public String getLng()
    {
        return lng;
    }
    public void setLat(String lat)
    {
        this.lat = lat;
    }

    public String getLat()
    {
        return lat;
    }
    public void setAddress(String address)
    {
        this.address = address;
    }

    public String getAddress()
    {
        return address;
    }
    public void setCompanyUserId(Long companyUserId)
    {
        this.companyUserId = companyUserId;
    }

    public Long getCompanyUserId()
    {
        return companyUserId;
    }
    public void setCompanyId(Long companyId)
    {
        this.companyId = companyId;
    }

    public Long getCompanyId()
    {
        return companyId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("visitId", getVisitId())
            .append("customerId", getCustomerId())
            .append("visitType", getVisitType())
            .append("content", getContent())
            .append("photos", getPhotos())
            .append("nextTime", getNextTime())
            .append("lng", getLng())
            .append("lat", getLat())
            .append("address", getAddress())
            .append("companyUserId", getCompanyUserId())
            .append("createTime", getCreateTime())
            .append("companyId", getCompanyId())
            .toString();
    }
}
